#!/bin/sh
+echo "Removing folder 'libltdl'..."
rm -rf libltdl
-echo -n "checking for libtoolize / libtool... "
-which glibtoolize || which libtoolize || which libtool || {
- echo "*** No libtoolize (libtool) or libtool found, please install it ***"
- exit 1
+
+echo "checking for libtoolize / libtool... "
+
+# This is more portable than `which' but comes with
+# the caveat of not(?) properly working on busybox's ash:
+existence()
+{
+ command -v "$1" >/dev/null 2>&1
}
-autoreconf -if
-. "bin/pogen.sh"
+
+if existence libtool || existence libtoolize || existence glibtoolize; then
+ autoreconf -if
+ . "bin/pogen.sh"
+else
+ echo "*** No libtoolize (libtool) or libtool found, please install it ***" >&2;
+ exit 1
+fi